
backend:
  name: github
  repo: gramanoid/blog
  branch: main
  auth_type: implicit
  app_id: "Ov23li2XYCA9k4JIKh2c"
  api_root: https://api.github.com
media_folder: static/uploads
public_folder: /uploads

publish_mode: simple
collections:
  - name: thoughts
    label: Thoughts
    folder: content/thoughts
    create: true
    slug: '{{slug}}'
    sort: 'date:desc'
    fields:
      - label: Title
        name: title
        widget: string
      - label: Publish Date
        name: date
        widget: datetime
      - label: Description
        name: description
        widget: text
        required: false
      - label: Draft
        name: draft
        widget: boolean
        required: false
        default: false
      - label: Body
        name: body
        widget: markdown
  - name: pages
    label: Pages
    files:
      - label: Homepage
        name: homepage
        file: content/_index.md
        fields:
          - { label: Title, name: title, widget: string }
          - { label: Background Color, name: background, widget: string, required: false }
          - label: Hero Section
            name: hero
            widget: object
            collapsed: false
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Location, name: location, widget: string, required: false }
              - { label: Tagline, name: tagline, widget: string }
              - { label: Description, name: description, widget: list, field: {label: Paragraph, name: text, widget: string} }
          - label: Currently Section
            name: currently
            widget: object
            collapsed: true
            fields:
              - { label: Section Title, name: title, widget: string }
              - label: Items
                name: items
                widget: list
                field:
                  label: Item
                  name: item
                  widget: object
                  fields:
                    - { label: Label, name: label, widget: string }
                    - { label: Description, name: description, widget: text }
          - label: Links Section
            name: links
            widget: object
            collapsed: true
            fields:
              - { label: Section Title, name: title, widget: string }
              - label: Links
                name: items
                widget: list
                field:
                  label: Link
                  name: link
                  widget: object
                  fields:
                    - { label: Label, name: label, widget: string }
                    - { label: URL, name: url, widget: string }
                    - { label: Description, name: description, widget: text, required: false }
          - label: Projects Section
            name: projects
            widget: object
            collapsed: true
            fields:
              - { label: Section Title, name: title, widget: string }
              - label: Projects
                name: items
                widget: list
                field:
                  label: Project
                  name: project
                  widget: object
                  fields:
                    - { label: Title, name: title, widget: string }
                    - { label: URL, name: url, widget: string }
                    - { label: Meta, name: meta, widget: string }
                    - { label: Description, name: description, widget: text }
      - label: Work
        name: work
        file: content/work.md
        fields:
          - { label: Title, name: title, widget: string }
          - { label: Intro, name: intro, widget: text, required: false }
          - label: Timeline
            name: timeline
            widget: list
            allow_add: true
            fields:
              - { label: Company, name: company, widget: string }
              - { label: Role, name: role, widget: string }
              - { label: Period, name: period, widget: string }
              - { label: Location, name: location, widget: string, required: false }
              - { label: Description, name: description, widget: text }
      - label: Saved
        name: saved
        file: content/saved.md
        fields:
          - { label: Title, name: title, widget: string }
          - { label: Intro, name: intro, widget: text, required: false }
          - label: Collections
            name: collections
            widget: list
            fields:
              - { label: Title, name: title, widget: string }
              - { label: Description, name: description, widget: text, required: false }
              - label: Items
                name: items
                widget: list
                fields:
                  - { label: Name, name: name, widget: string }
                  - { label: URL, name: url, widget: string }
                  - { label: Note, name: note, widget: text, required: false }
      - label: Now
        name: now
        file: content/now.md
        fields:
          - { label: Title, name: title, widget: string }
          - { label: Last Updated, name: date, widget: datetime, required: false }
          - { label: Intro, name: intro, widget: text, required: false }
          - label: Sections
            name: sections
            widget: list
            fields:
              - { label: Title, name: title, widget: string }
              - label: Items
                name: items
                widget: list
                fields:
                  - { label: Label, name: label, widget: string }
                  - { label: Description, name: description, widget: text }
